Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sun, 26 Mar 2023 15:13:33 +0000 (UTC)

Hi Mohammad Khalid,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Hi Customer service

I did not get my delivery today. I got sms at 10 am that the delivery is out. But until 3pm the courier did not miscall or contact me at all for the whole day. 

At 3 pm the courier guy is sending me message on WhatsApp that he cannot find my address. Which is right in Bur Dubai where all other deliveries are reaching even without calling me.

When I see the WhatsApp @ 3pm I responded with my current address and live location on WhatsApp. Then I call him to deliver, to which he says his day is over and cannot do delivery at 5:30 pm!!
He lied that he tried to call me … but he never did and I informed him that I can show my mobile records that not a single call was received. I also asked why u are sending message, when if you want response u must miss call or call on WhatsApp to get immediate response.
This courier is pathetic. Because my address is right in middle of Bur Dubai all other deliveries are reaching without f/u
When i called him, because tomorrow I have office so that delivery can be received today while I am at home, he cut my call – very unprofessional and rude.

This same courier did this last time also and my order got cancelled and refunded you may check my account details.
I had actually also chatted and messaged in afternoon for delivery today – “check chats with Khalid”, to ensure I get in while I am at home tomorrow onwards I will at office during daytime till 4pm

Now I don’t think this guy will come for delivery. Please change the courier guy because the only job he has - is to find an address in the middle of the city and that too he cannot do it. Then he is being rude for a job not done!!

It is pathetic!!!

If the same courier continues I will think of shutting done by account with CenterPoint / splash for future because the courier guy behaved very badly with me today.

Hope you will take some action …. Because as I see it …….. This order also going the same way as the previous one… undelivered and refunded….

Hope you will respond  

Binu
0501897487 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5928670